Bug 1352009 - CVE-2015-5351 CVE-2016-0714 CVE-2016-0706 CVE-2015-5345 CVE-2015-5346 CVE-2016-0763 CVE-2016-3092 tomcat: multiple security vulnerabilities [epel-6]
Summary: CVE-2015-5351 CVE-2016-0714 CVE-2016-0706 CVE-2015-5345 CVE-2015-5346 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tomcat
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Coty Sutherland
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1347240 1349470 1354585 (view as bug list)
Depends On: 1311102
Blocks: CVE-2015-5351 CVE-2016-0714 CVE-2015-5346 CVE-2016-0706 CVE-2015-5345 CVE-2016-0763 CVE-2016-3092
TreeView+ depends on / blocked
 
Reported: 2016-07-01 11:58 UTC by Coty Sutherland
Modified: 2016-09-02 09:21 UTC (History)
11 users (show)

Fixed In Version: tomcat-7.0.70-2.el6
Doc Type: Release Note
Doc Text:
Clone Of: 1311102
Environment:
Last Closed: 2016-09-01 16:20:27 UTC
Type: ---


Attachments (Terms of Use)

Description Coty Sutherland 2016-07-01 11:58:33 UTC
+++ This bug was initially created as a clone of Bug #1311102 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Andrej Nemec on 2016-02-23 07:05:55 EST ---


Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1311093,1311102

# Description of your update
notes=Security fix for CVE-2016-0763

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Dominik 'Rathann' Mierzejewski on 2016-04-07 11:27:05 EDT ---

This also affects EPEL6, where tomcat is at version 7.0.65 (latest is 7.0.68).

Comment 1 Coty Sutherland 2016-07-01 12:02:39 UTC
*** Bug 1349470 has been marked as a duplicate of this bug. ***

Comment 2 Coty Sutherland 2016-07-01 12:03:26 UTC
*** Bug 1347240 has been marked as a duplicate of this bug. ***

Comment 3 Coty Sutherland 2016-07-01 16:47:13 UTC
Here is a proposal for rebasing to 7.0.70. There was an oddity that I noticed; the jaxrpc javadoc javadoc phase caused my whole build to fail, but the message has been present since the HACK was added in the ant call, so I'm not sure why it was failing. Anyway, I removed the references to it in the build.xml because we weren't doing anything with the empty file anyway and that seemed to resolve my issue.

https://github.com/csutherl/fedora-tomcat/commit/e85b8d1

Comment 4 Coty Sutherland 2016-07-11 16:11:56 UTC
*** Bug 1354585 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2016-08-05 20:10:27 UTC
tomcat-7.0.70-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 7 Fedora Update System 2016-08-09 02:17:35 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 8 Fedora Update System 2016-09-01 16:19:51 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-09-02 09:21:40 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.